> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> Get SLA analytics overview — Get SLA compliance rates, coverage rate, and response/resolution time percentiles for a date range.

# Get SLA analytics overview



## OpenAPI

````yaml get /sla/analytics
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /sla/analytics:
    get:
      summary: Get SLA analytics overview
      description: >-
        Get SLA compliance rates, coverage rate, and response/resolution time
        percentiles for a date range.
      operationId: getSlaAnalyticsOverview
      parameters:
        - schema: {}
          in: query
          name: from
          required: true
        - schema: {}
          in: query
          name: to
          required: true
        - schema:
            default: UTC
            type: string
          in: query
          name: timezone
          required: false
        - schema:
            type: string
          in: query
          name: policy_id
          required: false
        - schema:
            type: string
          in: query
          name: team_id
          required: false
        - schema:
            type: string
            enum:
              - web
              - email
              - phone_voice
              - slack
              - sms
              - whatsapp
              - instagram
              - messenger
              - api
              - web_voice
          in: query
          name: channel
          required: false
        - schema:
            type: number
          in: query
          name: agent_id
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SlaOverviewResponseDto'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    SlaOverviewResponseDto:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/SlaOverviewResponseDto'
      type: object
      properties:
        coverage_rate:
          type: number
        total_sessions:
          type: number
        sla_sessions:
          type: number
        compliance:
          type: object
          properties:
            overall:
              type: number
            first_reply:
              type: object
              properties:
                fulfilled:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                breached:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                completed_after_breach:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                active:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                rate:
                  type: number
              required:
                - fulfilled
                - breached
                - completed_after_breach
                - active
                - rate
              additionalProperties: false
            next_reply:
              type: object
              properties:
                fulfilled:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                breached:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                completed_after_breach:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                active:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                rate:
                  type: number
              required:
                - fulfilled
                - breached
                - completed_after_breach
                - active
                - rate
              additionalProperties: false
            resolution:
              type: object
              properties:
                fulfilled:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                breached:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                completed_after_breach:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                active:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                rate:
                  type: number
              required:
                - fulfilled
                - breached
                - completed_after_breach
                - active
                - rate
              additionalProperties: false
          required:
            - overall
            - first_reply
            - next_reply
            - resolution
          additionalProperties: false
        percentiles:
          type: object
          properties:
            first_reply:
              type: object
              properties:
                p50:
                  type: number
                p90:
                  type: number
                p95:
                  type: number
              required:
                - p50
                - p90
                - p95
              additionalProperties: false
            next_reply:
              type: object
              properties:
                p50:
                  type: number
                p90:
                  type: number
                p95:
                  type: number
              required:
                - p50
                - p90
                - p95
              additionalProperties: false
            resolution:
              type: object
              properties:
                p50:
                  type: number
                p90:
                  type: number
                p95:
                  type: number
              required:
                - p50
                - p90
                - p95
              additionalProperties: false
          required:
            - first_reply
            - next_reply
            - resolution
          additionalProperties: false
      required:
        - coverage_rate
        - total_sessions
        - sla_sessions
        - compliance
        - percentiles
      additionalProperties: false
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````